import { Document } from "mongoose";
export type InstanceType = Instance & Document<string>;
export declare class Instance {
    name: string;
    apikey: string;
}
export declare const InstanceSchema: import("mongoose").Schema<Instance, import("mongoose").Model<Instance, any, any, any, Document<unknown, any, Instance, any, {}> & Instance & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Instance, Document<unknown, {}, import("mongoose").FlatRecord<Instance>, {}, import("mongoose").ResolveSchemaOptions<import("mongoose").DefaultSchemaOptions>> & import("mongoose").FlatRecord<Instance> & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v: number;
}>;
